<?php
/*
 * This file is part of Robot-in
 *
 * Copyright (C) 2006-2012 Hunglead,Inc. All Rights Reserved.
 *
 * http://www.hunglead.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */
require_once '../require.php';
if (!defined('PLUGIN_UPLOAD_REALDIR')) {
	define('PLUGIN_UPLOAD_REALDIR', DATA_REALDIR . "downloads/plugin/");
}
require_once PLUGIN_UPLOAD_REALDIR. "RobotIn/define.php";
require_once HUNGLEAD_PLUGIN_DIR. "dao/OrderDao.php";

$id = $_POST["id"];
$targetOrders = $_POST["targetOrders"];
$status = $_POST["status"];

try {

	$dao = new OrderDao();
	$results = $dao->changeStatus($id, $targetOrders, $status);

	$res = array(
		"status" => "success",
		"results" => $results
	);

} catch (Exception $e) {

	$res = array(
		"status" => "failed",
		"message" => $e->getMessage()
	);
}

echo SC_Utils_Ex::jsonEncode($res);

